<div [ngStyle]="{'width': width}">
  <div class="tag-group" [ngStyle]="{'min-height': height, 'border': error ? '1px solid #ff4d4f' : '1px solid #d4d7e7'}">
    <div class="tag-group__tags" nz-dropdown [nzDropdownMenu]="menu" #dropdown="nzDropdown" [nzTrigger]="'click'" [(nzVisible)]="isVisible"
         (nzVisibleChange)="change($event)" [nzDisabled]="disable">
      <nz-tag *ngFor="let item of fruits; let i = index" class="tag-group__tags--tag"><span>{{item[value]}}</span> <em
        nz-icon nzType="close-circle" nzTheme="fill" (click)="onCloseTag(i, item, $event)" *ngIf="!disable" ></em></nz-tag>
      <div class="tag-group__tags--input" [ngStyle]="{'font-size': fontSize}">
        <span *ngIf="!fruits || !fruits.length">Chọn job</span>
      </div>
    </div>
    <div class="tag-group__close" *ngIf="!disable">
      <button *ngIf="fruits?.length" (click)="clearAll()" class="tag-group__close--button" nz-button><em nz-icon nzType="close" nzTheme="outline"></em></button>
      <em nz-icon nzType="down" nzTheme="outline" *ngIf="!fruits || !fruits.length" class="tag-group__close--select"></em>
    </div>
  </div>
  <div class="error-message" *ngIf="error">
    <span class="error-message__text">{{errorMessage}}</span>
  </div>
</div>
<nz-dropdown-menu #menu="nzDropdownMenu">
  <div class="menu">
    <div class="header">
      <div class="header__title">
        <div class="header__title--text">
          <span>Chọn job</span>
        </div>
        <div class="title__button" *ngIf="isCreateJob">
          <mb-button [mbButtonAvailableStyle]="'PRIMARY'" [mbButtonText]="'Thêm job'" *ngIf="showCreate"
                     (click)="onInitJob(modalTitle, modalFooter)"></mb-button>
        </div>
      </div>
      <div class="header__input">
        <form [formGroup]="form">
          <mb-input-text (keyup)="onTyping($event)" formControlName="inputValue" [mbSuffixIcon]="'search'"></mb-input-text>
        </form>
      </div>
    </div>
    <ul nz-menu class="select-list" (scroll)="onScroll($event)" #scoll>
      <li nz-menu-item class="select-list__item" *ngIf="showCheckAll">
        <div class="select-list__sw">
          <nz-switch nzSize="small" [ngModel]="isCheckAll" (ngModelChange)="checkAll($event)"></nz-switch>
          <span>{{'modelOrganization.label.chooseAll' | translate}}</span>
        </div>
      </li>
      <ng-container *ngFor="let option of listFilter; let i = index; trackBy:trackByFn">
        <li  nz-menu-item *ngIf="i < jobMax"  nz-checkbox class="select-list__item"
             [(ngModel)]="option.checked" (ngModelChange)="onSelect(option)">
        <span nzTooltipTitle="{{option[value]}}" nzTooltipPlacement="bottomRight"
              [nzTooltipOverlayClassName]="option[value].length > 40 ? '' : 'tooltip-hide'"
              nz-tooltip>{{option[value].length > 40 ?
          option[value].substring(0,40) + '...' : option[value]}}</span>
        </li>
      </ng-container>
    </ul>
    <div class="footer">
      <button nz-button class="footer__button" (click)="onSelectJob()">Chọn job</button>
    </div>
  </div>
</nz-dropdown-menu>
<ng-template #modalTitle>
  <span class="title-modal">Job</span>
</ng-template>

<ng-template #modalFooter>

</ng-template>
